Name:           spr
Version:        3.3.2
Release:        3%{?dist}
Epoch:          1
Summary:        Library for categorization of data

Group:          Development/Libraries
License:        GPL+
URL:            http://www.hep.caltech.edu/~narsky/spr.html
Patch0:         spr-07.08.00-getopt_ret.patch
Patch1:         SPR-3.3.2-stdio.patch
Source0:        http://downloads.sourceforge.net/statpatrec/SPR-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libstdc++-devel

%description
The package implements a variety of tools for categorization of multivariate
data such as boosted decision trees, bagging and random forest, bump hunting
(PRIM), a multi-class learner and others.

%package devel
Summary: Development files for the Stat Pattern Recognition code
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
%{summary}.

%prep
%setup -q -n SPR-%{version}
%patch0 -p1
%patch1 -p1


%build
%configure --without-root --disable-static --disable-rpath \
        --datadir=%{_datadir}/%{name} --includedir=%{_includedir}/%{name}
# Get rid of rpath turds
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# Remove this gcc34-ism.  Upstream is aware of this and needs time to
# find a fix.
sed -i -e 's/ -lg2c//' src/Makefile

# Parallel builds currently not supported.  Upstream is aware of this
# and needs time to find a fix.
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO README ChangeLog
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO README ChangeLog src/example*.cc
%{_includedir}/%{name}
%{_libdir}/*.so



%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Wart <wart@kobold.org> - 1:3.3.2-2
- Add Epoch: due to non-increasing version change upatream

* Mon Jul 13 2009 Wart <wart@kobold.org> - 3.3.2-1
- Update to latest release

* Sat Feb 28 2009 Caolán McNamara <caolanm@redhat.com> - 07.15.00-3
- comparing getopt ret to EOF requires stdio.h, or use just -1 (man 3p getopt)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 07.15.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 17 2008 Wart <wart@kobold.org> 07.15.00-1
- Upgrade to 07.15.00
- Add example program sources to -devel documentation

* Thu Feb 14 2008 Wart <wart@kobold.org> 07.12.01-1
- Upgrade to 07.12.01

* Sun Feb 10 2008 Wart <wart@kobold.org> 07.08.00-1
- Upgrade to 07.08.00
- Add patch for building with gcc 4.3

* Tue Aug 21 2007 Wart <wart@kobold.org> 07.00.00-1
- Update to latest release
- License tag clarification

* Tue May 15 2007 Wart <wart@kobold.org> 05.02.00-1
- Update to 05.02.00
- Remove patch that was accepted upstream

* Mon Apr 23 2007 Michael Thomas <thomas@hep.caltech.edu> 05.01.00-3
- Fix ownership of header directory in -devel subpackage

* Sun Apr 22 2007 Michael Thomas <thomas@hep.caltech.edu> 05.01.00-2
- Move headers to their own subdirectory
- Preserve timestamps on installed files

* Fri Apr 20 2007 Michael Thomas <thomas@hep.caltech.edu> 05.01.00-1
- Update to 5.01.00

* Tue Feb 6 2007 Michael Thomas <thomas@hep.caltech.edu> 05.00.01-1
- Initial RPM package
